package ec.gob.registrocivil.consultacedula;

import com.fp.webservices.snap.recursos.MsgSnap;
import java.net.MalformedURLException;
import java.net.URL;
import javax.xml.namespace.QName;
import javax.xml.ws.Service;
import javax.xml.ws.WebEndpoint;
import javax.xml.ws.WebServiceClient;
import javax.xml.ws.WebServiceException;
import javax.xml.ws.WebServiceFeature;

@WebServiceClient(name = "WSRegistroCivilConsultaCedula", targetNamespace = "http://www.registrocivil.gob.ec/ConsultaCedula", wsdlLocation = "https://bsg.gob.ec/sw/RC/BSGSW01_Consultar_Cedula?wsdl")
public class WSRegistroCivilConsultaCedula_Service extends Service {

    private static final URL WSREGISTROCIVILCONSULTACEDULA_WSDL_LOCATION;
    private static final WebServiceException WSREGISTROCIVILCONSULTACEDULA_EXCEPTION;
    private static final QName WSREGISTROCIVILCONSULTACEDULA_QNAME = new QName("http://www.registrocivil.gob.ec/ConsultaCedula", "WSRegistroCivilConsultaCedula");

    static {
        URL url = null;
        WebServiceException e = null;
        try {
            url = new URL(MsgSnap.getString("url_consulta_cedula"));
        } catch (MalformedURLException ex) {
            e = new WebServiceException(ex);
        }
        WSREGISTROCIVILCONSULTACEDULA_WSDL_LOCATION = url;
        WSREGISTROCIVILCONSULTACEDULA_EXCEPTION = e;
    }

    public WSRegistroCivilConsultaCedula_Service() {
        super(__getWsdlLocation(), WSREGISTROCIVILCONSULTACEDULA_QNAME);
    }

    public WSRegistroCivilConsultaCedula_Service(WebServiceFeature... features) {
        super(__getWsdlLocation(), WSREGISTROCIVILCONSULTACEDULA_QNAME, features);
    }

    public WSRegistroCivilConsultaCedula_Service(URL wsdlLocation) {
        super(wsdlLocation, WSREGISTROCIVILCONSULTACEDULA_QNAME);
    }

    public WSRegistroCivilConsultaCedula_Service(URL wsdlLocation, WebServiceFeature... features) {
        super(wsdlLocation, WSREGISTROCIVILCONSULTACEDULA_QNAME, features);
    }

    public WSRegistroCivilConsultaCedula_Service(URL wsdlLocation, QName serviceName) {
        super(wsdlLocation, serviceName);
    }

    public WSRegistroCivilConsultaCedula_Service(URL wsdlLocation, QName serviceName, WebServiceFeature... features) {
        super(wsdlLocation, serviceName, features);
    }

    @WebEndpoint(name = "WSRegistroCivilConsultaCedulaPort")
    public WSRegistroCivilConsultaCedula getWSRegistroCivilConsultaCedulaPort() {
        return (WSRegistroCivilConsultaCedula) getPort(new QName("http://www.registrocivil.gob.ec/ConsultaCedula", "WSRegistroCivilConsultaCedulaPort"), WSRegistroCivilConsultaCedula.class);
    }

    @WebEndpoint(name = "WSRegistroCivilConsultaCedulaPort")
    public WSRegistroCivilConsultaCedula getWSRegistroCivilConsultaCedulaPort(WebServiceFeature... features) {
        return (WSRegistroCivilConsultaCedula) getPort(new QName("http://www.registrocivil.gob.ec/ConsultaCedula", "WSRegistroCivilConsultaCedulaPort"), WSRegistroCivilConsultaCedula.class, features);
    }

    private static URL __getWsdlLocation() {
        if (WSREGISTROCIVILCONSULTACEDULA_EXCEPTION != null) {
            throw WSREGISTROCIVILCONSULTACEDULA_EXCEPTION;
        }
        return WSREGISTROCIVILCONSULTACEDULA_WSDL_LOCATION;
    }
}


/* Location:              /data/COMACO/SINCOAR2022/Entorno/produccion/servers/mule-standalone-3.5.0/apps/centralwebservices-2.1.zip!/centralwebservices-2.1/classes/ec/gob/registrocivil/consultacedula/WSRegistroCivilConsultaCedula_Service.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */
